NEWDISK(8) | System Manager's Manual (x68k) | NEWDISK(8)

# NAME

`newdisk` — Prepare a new disk to be usable for X680x0

# SYNOPSIS

`newdisk` | [`-vnfcp`] [`-m` mboot] raw_device

# DESCRIPTION

`newdisk` prepares a new hard disk to be bootable from by X680x0. It should NOT be used for floppy disks.

It creates a disk mark for IOCS to determine the disk geometry, writes the primary boot program (mboot), and creates empty partition table. The option are as follows:

`-v`
  Verbose mode.
`-n`
  Dryrun mode. Nothing is written to the disk.
`-f`
  Force. Usually, when `newdisk` detects existing disk mark, it aborts with some error messages. `-f` option prevents this behaviour.
`-c`
  Check only. `newdisk` looks at the disk whether it is already marked.
`-p`
  Do not create the partition table.
`-m` mboot
  Specifies the mboot program to be written.

# FILES

/usr/mdec/mboot
  The default primary boot program.

# SEE ALSO

installboot(8), x68k/boot(8)

# HISTORY

The `newdisk` utility first appeared in NetBSD 1.5.

# AUTHORS

`newdisk` was written by MINOURA Makoto <minoura@NetBSD.org>.

February 17, 2017 | NetBSD 11.0